## org.apache.lucene.util
Class NamedThreadFactory

    java.lang.Object
      org.apache.lucene.util.NamedThreadFactory

All Implemented Interfaces:
  ThreadFactory

    public class NamedThreadFactory

extends Object
implements ThreadFactory

A default `ThreadFactory` implementation that accepts the name prefix of the created threads as a constructor argument. Otherwise, this factory yields the same semantics as the thread factory returned by `Executors.defaultThreadFactory()`.

Constructor Summary
`NamedThreadFactory(String threadNamePrefix)` Creates a new `NamedThreadFactory` instance

Method Summary
`Thread` `newThread(Runnable r)` Creates a new `Thread`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### NamedThreadFactory

    public NamedThreadFactory(String threadNamePrefix)

  Creates a new `NamedThreadFactory` instance

  Parameters:
    `threadNamePrefix` - the name prefix assigned to each thread created.

Method Detail

### newThread

    public Thread newThread(Runnable r)

  Creates a new `Thread`

  Specified by:
    `newThread` in interface `ThreadFactory`
  See Also:
    `ThreadFactory.newThread(java.lang.Runnable)`

Copyright © 2000-2013 Apache Software Foundation. All Rights Reserved.